summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--setup.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/setup.sh b/setup.sh
new file mode 100644
index 0000000..131c4d2
--- /dev/null
+++ b/setup.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+if [ ! -f py3status/py3status.py ]; then
+ echo "py3status/py3status.py not found, run me from the cloned directory"
+ exit 1
+fi
+
+echo -n "setting up symlink... "
+if [ ! -L /usr/bin/py3status ]; then
+ ln -s $(pwd)/py3status/py3status.py /usr/bin/py3status || exit 2
+fi
+echo "ok"
+
+echo -n "setting up permissions... "
+chmod +x py3status/py3status.py || exit 3
+echo "ok"
+
+echo "setup done, enjoy !"